
Foreman - Refactor #15753

Unpin pg gem

07/20/2016 08:48 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Database   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3662

  

Description

The pg gem was pinned in #12219 as tests failed on our Jenkins slaves under Ruby 2.2 or higher due to the pg build process which

was preferring /usr/lib64/libruby* from the base OS's old Ruby over the RVM Ruby.

ruby-devel has been uninstalled on all of our Jenkins slaves now, so pg should be unpinned so we have the latest version with other

fixes.

The build process bug is still unfixed and may not be corrected unless there's a behaviour change in Ruby's build process, but the

workaround to remove ruby-devel when using RVM is straightforward.

Related issues:

Related to Foreman - Bug #12219: Test failures on Ruby 2.2 Closed 10/20/2015

Associated revisions

Revision 8d8f8d45 - 07/21/2016 04:20 AM - Dominic Cleal

fixes #15753 - unpin pg gem, match Rails requirement

History

#1 - 07/20/2016 08:48 AM - Dominic Cleal

- Related to Bug #12219: Test failures on Ruby 2.2 added

#2 - 07/20/2016 08:50 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3662 added

#3 - 07/21/2016 05:01 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 8d8f8d45940ef8d2ac7d102817dcc28cb1dc5e57.

#4 - 07/21/2016 06:05 AM - Dominic Cleal

- translation missing: en.field_release set to 160
